wicd-client cannot connect to dbus interface.

Reported by Jaime Wu on 2009-09-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
wicd
Undecided
Unassigned

Bug Description

version of Wicd 1.6.6.2
linux environment: debian5 squeeze
wicd log file(excerpt of one error instance):

 ---------------------------
2009/09/20 08:10:24 :: wicd initializing...
2009/09/20 08:10:24 :: ---------------------------
2009/09/20 08:10:24 :: wicd is version 1.6.2.2 463
2009/09/20 08:10:24 :: Traceback (most recent call last):
2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1750, in <module>
2009/09/20 08:10:24 :: main(sys.argv)
2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1714, in main
2009/09/20 08:10:24 :: daemon = WicdDaemon(wicd_bus, auto_connect=auto_connect)
2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 87, in __init__
2009/09/20 08:10:24 :: self.wired_bus= WiredDaemon(bus_name, self, wired=self.wired)
2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1330, in __init__
2009/09/20 08:10:24 :: debug=debug)
2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd/configmanager.py", line 40, in __init__
2009/09/20 08:10:24 :: self.read(path)
2009/09/20 08:10:24 :: File "/usr/lib/python2.5/ConfigParser.py", line 267, in read
2009/09/20 08:10:24 :: self._read(fp, filename)
2009/09/20 08:10:24 :: File "/usr/lib/python2.5/ConfigParser.py", line 490, in _read
2009/09/20 08:10:24 :: raise e
2009/09/20 08:10:24 :: ConfigParser.ParsingError: File contains parsing errors: /etc/wicd/wired-settings.conf
2009/09/20 08:10:24 :: [line 4]: '[]\n'

comment:
1. according to the log, it seems that the [line 4]: '[]\n' in /etc/wicd/wired-settings.conf crashes the config parser. i dont know how the [] came up.

2. when i try to run wicd mannually either in root or normal user, it simply says :
rename failed.

Jaime Wu (armiuswu) on 2009-09-19
description: updated
Jaime Wu (armiuswu) on 2009-09-19
Changed in wicd:
status: New → Incomplete
status: Incomplete → New
Adam Blackburn (adamblackburn) wrote :

You can fix this by removing the line in /etc/wicd/wired-settings.conf -- it probably came up because you tried to add a wired network profile with no name. This is fixed in the latest version, I believe.

Changed in wicd:
status: New → Incomplete
status: Incomplete → Fix Committed
Jaime Wu (armiuswu) wrote :

Thank you. Problem resolved.

It works. Thank you.

cheersJaime
2009/9/20 Adam Blackburn <email address hidden>

> You can fix this by removing the line in /etc/wicd/wired-settings.conf
> -- it probably came up because you tried to add a wired network profile
> with no name. This is fixed in the latest version, I believe.
>
> ** Changed in: wicd
> Status: New => Incomplete
>
> ** Changed in: wicd
> Status: Incomplete => Fix Committed
>
> --
> wicd-client cannot connect to dbus interface.
> https://bugs.launchpad.net/bugs/433261
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in wicd: Fix Committed
>
> Bug description:
> version of Wicd 1.6.6.2
> linux environment: debian5 squeeze
> wicd log file(excerpt of one error instance):
>
> ---------------------------
> 2009/09/20 08:10:24 :: wicd initializing...
> 2009/09/20 08:10:24 :: ---------------------------
> 2009/09/20 08:10:24 :: wicd is version 1.6.2.2 463
> 2009/09/20 08:10:24 :: Traceback (most recent call last):
> 2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1750,
> in <module>
> 2009/09/20 08:10:24 :: main(sys.argv)
> 2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1714,
> in main
> 2009/09/20 08:10:24 :: daemon = WicdDaemon(wicd_bus,
> auto_connect=auto_connect)
> 2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 87, in
> __init__
> 2009/09/20 08:10:24 :: self.wired_bus= WiredDaemon(bus_name, self,
> wired=self.wired)
> 2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd-daemon.py", line 1330,
> in __init__
> 2009/09/20 08:10:24 :: debug=debug)
> 2009/09/20 08:10:24 :: File "/usr/share/wicd/wicd/configmanager.py", line
> 40, in __init__
> 2009/09/20 08:10:24 :: self.read(path)
> 2009/09/20 08:10:24 :: File "/usr/lib/python2.5/ConfigParser.py", line
> 267, in read
> 2009/09/20 08:10:24 :: self._read(fp, filename)
> 2009/09/20 08:10:24 :: File "/usr/lib/python2.5/ConfigParser.py", line
> 490, in _read
> 2009/09/20 08:10:24 :: raise e
> 2009/09/20 08:10:24 :: ConfigParser.ParsingError: File contains parsing
> errors: /etc/wicd/wired-settings.conf
> 2009/09/20 08:10:24 :: [line 4]: '[]\n'
>
>
> comment:
> 1. according to the log, it seems that the [line 4]: '[]\n' in
> /etc/wicd/wired-settings.conf crashes the config parser. i dont know how
> the [] came up.
>
> 2. when i try to run wicd mannually either in root or normal user, it
> simply says :
> rename failed.
>

Download full text (4.0 KiB)

version of Wicd 1.6.6.2
linux environment: fedora 11

Hi, I have a similar issue except I do not get the ConfigParser.ParsingError but I still continued to get the 'Could not connect to wicd's d-bus interface. Check wicd log for error message. I followed exactly the directions provided for Fedora 11 but the wicd daemon fails. Here is my wicd log file.

009/10/12 23:22:43 :: ---------------------------
2009/10/12 23:22:43 :: wicd initializing...
2009/10/12 23:22:43 :: ---------------------------
2009/10/12 23:22:43 :: wicd is version 1.6.2.2 463
2009/10/12 23:22:43 :: did not find backend in configuration, setting default external
2009/10/12 23:22:43 :: setting backend to external
2009/10/12 23:22:43 :: trying to load backend external
2009/10/12 23:22:43 :: successfully loaded backend external
2009/10/12 23:22:43 :: trying to load backend external
2009/10/12 23:22:43 :: successfully loaded backend external
2009/10/12 23:22:43 :: Automatically detected wireless interface eth1
2009/10/12 23:22:43 :: did not find wireless_interface in configuration, setting default eth1
2009/10/12 23:22:43 :: setting wireless interface eth1
2009/10/12 23:22:43 :: automatically detected wired interface eth0
2009/10/12 23:22:43 :: did not find wired_interface in configuration, setting default eth0
2009/10/12 23:22:43 :: setting wired interface eth0
2009/10/12 23:22:43 :: did not find wpa_driver in configuration, setting default wext
2009/10/12 23:22:43 :: setting wpa driver wext
2009/10/12 23:22:43 :: did not find always_show_wired_interface in configuration, setting default False
2009/10/12 23:22:43 :: did not find use_global_dns in configuration, setting default False
2009/10/12 23:22:43 :: setting use global dns to False
2009/10/12 23:22:43 :: did not find global_dns_1 in configuration, setting default None
2009/10/12 23:22:43 :: did not find global_dns_2 in configuration, setting default None
2009/10/12 23:22:43 :: did not find global_dns_3 in configuration, setting default None
2009/10/12 23:22:43 :: did not find global_dns_dom in configuration, setting default None
2009/10/12 23:22:43 :: did not find global_search_dom in configuration, setting default None
2009/10/12 23:22:43 :: setting global dns
2009/10/12 23:22:43 :: global dns servers are None None None
2009/10/12 23:22:43 :: domain is None
2009/10/12 23:22:43 :: search domain is None
2009/10/12 23:22:43 :: did not find auto_reconnect in configuration, setting default True
2009/10/12 23:22:43 :: setting automatically reconnect when connection drops True
2009/10/12 23:22:43 :: did not find debug_mode in configuration, setting default False
2009/10/12 23:22:43 :: did not find wired_connect_mode in configuration, setting default 1
2009/10/12 23:22:43 :: did not find signal_display_type in configuration, setting default 0
2009/10/12 23:22:43 :: did not find dhcp_client in configuration, setting default 0
2009/10/12 23:22:43 :: Setting dhcp client to 0
2009/10/12 23:22:43 :: did not find link_detect_tool in configuration, setting default 0
2009/10/12 23:22:43 :: did not find flush_tool in configuration, setting default 0
2009/10/12 23:22:43 :: did not find sudo_app in configuration, setting default 0
2009/1...

Read more...

Changed in wicd:
status: Fix Committed → Fix Released
Ramesh (vrgupt) wrote :

That works.
But I couldn't find the tray icon

Adam Blackburn (adamblackburn) wrote :

Tray icon can be run with the wicd-client command.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers